| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Macros | Typedefs | Functions
isf_eventhandler module documentation

## Data Structures
struct | isf_eh_event_t

## Macros
#define | MAX_EVENTS 32
#define | ALL_EVENTS 0x00FFFFFF

## Typedefs
typedef void( | eventCallback_t) (void *)

## Functions
void | isf_EventHandler_Init (void)
int32 | isf_EventHandler_RegisterEvent (eventCallback_t *pCallback, void *pUserData)
int32 | isf_EventHandler_UnregisterEvent (uint32 token)
int32 | isf_EventHandler_GetSignal (uint32 token)
void | EventHandler_task (void)

## Detailed Description

## Macro Definition Documentation

#define ALL_EVENTS 0x00FFFFFF

Definition at line 34 of file isf_eventhandler.h.

Referenced by EventHandler_task(), and isf_EventHandler_Init().

#define MAX_EVENTS 32

Definition at line 33 of file isf_eventhandler.h.

Referenced by isf_EventHandler_GetSignal(), isf_EventHandler_Init(), isf_EventHandler_RegisterEvent(), and isf_EventHandler_UnregisterEvent().

## Typedef Documentation

typedef void( eventCallback_t) (void *)

Definition at line 37 of file isf_eventhandler.h.

## Function Documentation

void EventHandler_task | ( | void |  | ) |

Definition at line 146 of file isf_eventhandler.c.

References ALL_EVENTS, FALSE, and isf_eh_event_t::pCallback.

Referenced by EH_task().

Here is the caller graph for this function:

int32 isf_EventHandler_GetSignal | ( | uint32 | token | ) |

Definition at line 123 of file isf_eventhandler.c.

References MAX_EVENTS, and isf_eh_event_t::Signal.

Referenced by fsl_fxls8952_i2c_3D_accel_Configure().

Here is the caller graph for this function:

void isf_EventHandler_Init | ( | void |  | ) |

Definition at line 42 of file isf_eventhandler.c.

References ALL_EVENTS, MAX_EVENTS, isf_eh_event_t::pCallback, isf_eh_event_t::pEvent, pEventHandler_Events, isf_eh_event_t::pUserData, and isf_eh_event_t::Signal.

Referenced by EH_task().

Here is the caller graph for this function:

int32 isf_EventHandler_RegisterEvent | ( | eventCallback_t * | pCallback,
|  | void * | pUserData
| ) |  |

Definition at line 66 of file isf_eventhandler.c.

References MAX_EVENTS, isf_eh_event_t::pCallback, and isf_eh_event_t::pUserData.

Referenced by fsl_fxls8952_i2c_3D_accel_Configure().

Here is the caller graph for this function:

int32 isf_EventHandler_UnregisterEvent | ( | uint32 | token | ) |

Definition at line 98 of file isf_eventhandler.c.

References MAX_EVENTS, isf_eh_event_t::pCallback, and isf_eh_event_t::pUserData.

Referenced by fsl_fxls8952_i2c_3D_accel_Shutdown().

Here is the caller graph for this function:
- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.